.bg-red {
  background-color: rgba(255, 0, 0, 0.932); /* Rojo con 80% de opacidad */
}
/* https://heyzine.com/flip-book/576eaf6abc.html#page/49 */
/* https://www.feyalegriaec1.com/ */

@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: translateY(30px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.img-fluid {
  animation: fadeIn 4.5s ease-in-out;
}
.dropdown-menu>li>a:active{
  background-color:rgba(var(--bs-danger-rgb),var(--bs-bg-opacity))!important;
 }




@keyframes fadeInUp {
  0% {
    opacity: 0;
    transform: translateY(30px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.text-animation {
  animation: fadeInUp 2.2s ease-in-out;
  opacity: 0; /* Para que comience invisible */
  animation-fill-mode: forwards; /* Para mantener la animación al final */
}





#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #dc3545; /* Ajusta al color de fondo deseado */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.preload-image {
  max-width: 200px; /* Ajusta el tamaño según necesites */
  animation: fadeInOut 1s infinite;
}

@keyframes fadeInOut {
  0%, 100% {
      opacity: 0;
  }
  50% {
      opacity:1;}
}